
runthis = false

if	Global.game_settings and
	Global.game_settings.difficulty and
	Global.game_settings.difficulty ~= "easy_wish" and
	Global.game_settings.difficulty ~= "overkill_290" and
	Global.game_settings.difficulty ~= "sm_wish" then
	runthis = true
end

if not runthis then return end

log("NYPD - SUCCESSFULLY HOOKED CHARACTERTWEAKDATA")

Hooks:PostHook(CharacterTweakData, "init", "init_after", function(self, tweak_data)
	
	-- We can't port the old SWAT voices, but we can at least give the new ones a somewhat matching radio filter
	self.swat.speech_prefix_p2 = "d"
	self.heavy_swat.speech_prefix_p2 = "d"
	self.fbi_swat.speech_prefix_p2 = "d"
	self.fbi_heavy_swat.speech_prefix_p2 = "d"
	
	-- Murkywater uses this one
	self.city_swat.speech_prefix_p2 = "d"
end)


Hooks:PostHook(CharacterTweakData, "_init_region_america", "init_murica", function(self)
	self._unit_prefixes.taser = "l"
	self._unit_prefixes.cloaker = "l"
end)

Hooks:PostHook(CharacterTweakData, "_init_spooc", "init_spooky", function(self)
	self.spooc.speech_prefix_p1 = "l"
	self.spooc.speech_prefix_count = 4
	
	self.spooc.spawn_sound_event = "clk_c01x_plu"
	self.spooc.die_sound_event = "shd_x02a_any_3p_01"
	
	self.spooc.spooc_sound_events = {
		detect_stop = "",
		taunt_during_assault = "",
		taunt_after_assault = "",
		detect = ""
	}
	
	self.spooc.special_deaths = nil
end)

Hooks:PostHook(CharacterTweakData, "_init_taser", "init_elecman", function(self)
	self.taser.speech_prefix_p1 = "l"
	self.taser.speech_prefix_count = 4
	
	self.taser.chatter = self.presets.enemy_chatter.no_chatter
	
	self.taser.die_sound_event = "shd_x02a_any_3p_01"
	
	self.taser.special_deaths = nil
end)

local character_map_original = CharacterTweakData.character_map
function CharacterTweakData:character_map(...)
	
	local char_map = character_map_original(self, ...)
	
	table.insert(char_map.basic.list, "ene_fbi_heavy_r870")
	
	return char_map
end
