core:import("CoreMissionScriptElement")

log("NYPD - SUCCESSFULLY HOOKED ELEMENTSPAWNENEMYDUMMY")

function ElementSpawnEnemyDummy:init(...)
	ElementSpawnEnemyDummy.super.init(self, ...)
	
	self._enemy_name = self._values.enemy and Idstring(self._values.enemy) or Idstring("units/payday2/characters/ene_swat_1/ene_swat_1")
	
	if self._values.enabled and Global.game_settings and not Network:is_client() then
		local level_id = Global.game_settings.level_id
		
		-- Panic Room
		if level_id == "flat" then
			-- COUNT MEX: 23 12 21 14
			-- COUNT BLA: 04 03 04 03
			-- COUNT RUS: 00 04 00 03 00
			
			-- Russians have no reason to be here
			if self._values.enemy == "units/payday2/characters/ene_gang_russian_2/ene_gang_russian_2" then self._enemy_name = Idstring("units/payday2/characters/ene_gang_black_4/ene_gang_black_4") end
			if self._values.enemy == "units/payday2/characters/ene_gang_russian_4/ene_gang_russian_4" then self._enemy_name = Idstring("units/payday2/characters/ene_gang_black_2/ene_gang_black_2") end
			
			-- Swap out the corner guy to not use the same model as the car guy
			if self._id == 101395 then self._enemy_name = Idstring("units/payday2/characters/ene_gang_mexican_2/ene_gang_mexican_2") end
			
			-- Move the Dealer to the other side of the room
			if self._id == 102456 then self._enemy_name = Idstring("units/payday2/characters/ene_gang_mexican_2/ene_gang_mexican_2") end
			if self._id == 104782 then self._enemy_name = Idstring("units/pd2_dlc_flat/characters/npc_jamaican/npc_jamaican") end
		end
		
		-- Standalone Murkies
		if self._values.enemy == "units/payday2/characters/ene_murkywater_1/ene_murkywater_1" or self._values.enemy == "units/payday2/characters/ene_murkywater_2/ene_murkywater_2" then
			local randy = math.random(2)
			local estr = "units/payday2/characters/ene_murkywater_"..randy.."/ene_murkywater_"..randy
			
			self._enemy_name = Idstring(estr)
		end
		
		-- Snipers
		if self._values.enemy == "units/payday2/characters/ene_sniper_1/ene_sniper_1" or self._values.enemy == "units/payday2/characters/ene_sniper_2/ene_sniper_2" then
			local murkymaps = table.set("des","mex","mex_cooking","bph","vit","pbr")
			if murkymaps[level_id] then
				self._enemy_name = Idstring("units/pd2_dlc_bph/characters/ene_murkywater_sniper/ene_murkywater_sniper")
			else
				self._enemy_name = Idstring("units/payday2/characters/ene_sniper_1/ene_sniper_1")
			end
		end
		
	end
	
	self._values.enemy = nil
	self._units = {}
	self._events = {}
	
	self:_finalize_values()
end
